Summary: Text tool for setting the timezone and clockmode
Name: timeconfig
%define version 2.2
Version: %{version}
Release: 2
Copyright: GPL
Group: Utilities/System
Source: timeconfig-%{version}.tar.gz
Requires: initscripts >= 2.81, glibc >= 2.0.5-5
Prereq: fileutils, gawk
Buildroot: /var/tmp/timeconfig-root
Summary(de): Text-Tool zum Einstellen der Zeitzone und des Zeitmodus 
Summary(fr): Outil texte pour configurer la zone et le mode horaire.
Summary(tr): Zaman dilimi ve saat kipi ayarlamas iin metin temelli uygulama

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu May 07 1998 Erik Troan <ewt@redhat.com>

- many more translations

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>

- uses a build root
- added de and en_RN translations

* Mon Mar 23 1998 Erik Troan <ewt@redhat.com>

- shortended window a bit -- white (rather, blue) space is a good thing

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>

- added --back option

* Sat Oct 11 1997 Erik Troan <ewt@redhat.com>

- use proper flags for hwclock

* Tue Sep 16 1997 Erik Troan <ewt@redhat.com>

- instead of creating /usr/lib/zoneinfo, just update /etc/localtime

* Wed Sep 10 1997 Erik Troan <ewt@redhat.com>

- look for zoneinfo in /usr/share instead of /usr/lib
- provide /usr/lib/zoneinfo symlink

%description
This is a simple tool for setting both the timezone and the way your
system clock stores the time. It runs in text mode using a simple
windowing system.

%description -l de
Dies ist ein einfaches Tool zum Einstellen der Zeitzone und der
Weise, wie die Systemuhr die Zeit speichert. Es luft im Text-Modus
mit einem einfachen Fenstersystem.

%description -l fr
Ceci est un outil simple pour rgler  la fois l'heure et la manire
dont votre horloge systme stocke le temps. Il fonctionne en mode
texte, en utilisant un systme de fentrage simple.

%description -l tr
Zaman dilimini ve sistem saatinizin saati nasl saklayacana ilikin
ayarlar yapmak iin bir aratr. Metin kipinde basit bir pencereleme
sistemi kullanarak alr.

%prep
%setup 

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install
rm -f /usr/lib/zoneinfo

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -L /etc/localtime -a ! -e /etc/localtime ]; then
    ln -sf `ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'` /etc/localtime
fi

%files
/usr/sbin/timeconfig
/usr/sbin/setclock
/usr/man/man8/timeconfig.8
/usr/man/man8/setclock.8
/usr/share/locale/*/LC_MESSAGES/timeconfig.mo
